// Railgun Shader

models/mapobjects/rocks_sd/rock_snow
{
	qer_editorimage models/mapobjects/rocks_sd/rock_snow.tga
	implicitMap models/mapobjects/rocks_sd/rock_snow.tga
	q3map_clipModel
}

models/mapobjects/rocks_sd/rock_snow_small
{
	qer_editorimage models/mapobjects/rocks_sd/rock_snow_small.tga
	implicitMap models/mapobjects/rocks_sd/rock_snow_small.tga
}

models/mapobjects/rocks_sd/rock_snow_big
{
	qer_editorimage models/mapobjects/rocks_sd/rock_snow_big.tga
	implicitMap models/mapobjects/rocks_sd/rock_snow_big.tga
	q3map_clipModel
}

textures/mp_railgun/cable
{
	qer_editorimage textures/props/cable_m01.tga
	surfaceparm metalsteps
	{
		map textures/props/cable_m01.tga
		rgbGen vertex
	}
}

textures/mp_railgun/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	fogparms ( 0.09411 0.09803 0.12549 ) 3492
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/mp_railgun/lmterrain_base
{
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
	q3map_normalimage textures/sd_bumpmaps/normalmap_terrain.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 37
	q3map_tcMod scale 1 1
	surfaceparm landmine
	surfaceparm snowsteps
}

textures/mp_railgun/lmterrain_0
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow3.jpg
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_0to1
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow3.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/rock.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_0to2
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow3.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/snow2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_0to3
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow3.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/snow1.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_0to4
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow3.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/snow4.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_0to5
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow3.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/rock.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_0to6
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow3.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/snow4.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_1
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/rock.jpg
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_1to2
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/rock.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/snow2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_1to3
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/rock.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/snow1.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_1to4
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/rock.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/snow4.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_1to5
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/rock.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/rock.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_1to6
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/rock.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/rock.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_2
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow2.jpg
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_2to3
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow2.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/snow1.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_2to4
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow2.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/snow4.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_2to5
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow2.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/snow3.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_2to6
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow2.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/rock.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_3
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow1.jpg
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_3to4
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow3.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/snow4.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_3to5
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow3.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/rock.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_3to6
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow1.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/rock.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_4
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow4.jpg
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_4to5
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow4.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/rock.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_4to6
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow4.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/rock.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_5
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/rock.jpg
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_5to6
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/rock.jpg
		rgbgen identity
	}
	{
		map textures/berzerkr/rock.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/lmterrain_6
{
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/berzerkr/snow4.jpg
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/mp_railgun/sky
{
	qer_editorimage textures/skies/sky_6.tga
	q3map_skylight 90 3
	q3map_sun 0.55 0.55 0.55 90 220 60
	skyparms - 200 -
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
}
